import React from "react";
import { useGetAllTag } from "../../api/tags";
import DataTable from "../../Layout/Dashboard/Table/DataTable";
import { useColumns } from "./useTableColumns";
import useSearchQuery from "../../api/utils/useSearchQuery";
const App: React.FC = () => {
  const [searchQuery] = useSearchQuery("name");

  const response = useGetAllTag({
    name: searchQuery,
    pagination: true,
  });

  return <DataTable response={response} useColumns={useColumns} />;
};

export default App;
